# Uses of Class
org.eclipse.jface.bindings.BindingManager

Packages that use BindingManager
Package
Description
org.eclipse.jface.action
Provides support for shared UI resources such as menus, tool bars, and status lines.
org.eclipse.jface.bindings
Provides support for bindings between commands and various user input events (e.g., keyboard shortcuts).

## Uses of BindingManager in org.eclipse.jface.action

Constructors in org.eclipse.jface.action with parameters of type BindingManager
Modifier
Constructor
Description
``
`CommandCallback(BindingManager bindingManager, CommandManager commandManager)`
Constructs a new instance of `CommandCallback` with the workbench it should be using.
``
`CommandCallback(BindingManager bindingManager, CommandManager commandManager, ExternalActionManager.IActiveChecker activeChecker)`
Constructs a new instance of `CommandCallback` with the workbench it should be using.
``
`CommandCallback(BindingManager bindingManager, CommandManager commandManager, ExternalActionManager.IActiveChecker activeChecker, ExternalActionManager.IExecuteApplicable checker)`
Constructs a new instance of `CommandCallback` with the workbench it should be using.

## Uses of BindingManager in org.eclipse.jface.bindings

Methods in org.eclipse.jface.bindings that return BindingManager
Modifier and Type
Method
Description
`final BindingManager`
BindingManagerEvent.`getManager()`
Returns the instance of the manager that changed.
Constructors in org.eclipse.jface.bindings with parameters of type BindingManager
Modifier
Constructor
Description
``
`BindingManagerEvent(BindingManager manager, boolean activeBindingsChanged, Map previousTriggersByParameterizedCommand, boolean activeSchemeChanged, Scheme scheme, boolean schemeDefined, boolean localeChanged, boolean platformChanged)`
Creates a new instance of this class.